1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Compatible with AirPort Express WDS?

Discussion in 'HyperWRT Firmware' started by fixmacs, Jan 23, 2005.

  1. fixmacs

    fixmacs Network Guru Member

  2. rsperko

    rsperko Network Guru Member

    I am using an Airport Express to extend the range of a WRT54G v2.2 using WDS.

    I don't know if I am doing this the preferred way, but it seems to work.

    - Flash HyperWRT
    - Enable WEP 128 (optional and recommended. AE will not do WDS and WPA)
    - Start telnet
    - Telnet in
    - Run /usr/sbin/wl lazywds
    - Configure AE

    I then added the "/usr/sbin/wl lazywds" to my startup script in HyperWRT.
  3. dellsweig

    dellsweig Network Guru Member

    Is this telling us that WDS and maybe alot of other things are already in hyperwrt - just have to be enabled via command line options (wl command)??
  4. rsperko

    rsperko Network Guru Member

    If you just type /usr/sbin/wl you will get a long list of options. One option is lazywds. Another is "wds <mac address> [<mac address>...]".

    It seems to work for me, I have a nice geen light on my airport express and network access through it to a server that is connected via lan to my WRT54G. I have restarted my WRT54G a couple of times since I set it up.

    What I do not know is how to make one WRT54G a client to another that has lazywds set up using HyperWRT. Maybe I don't have to do anything. Does anyone out there have any ideas?

    P.S. I am using HyperWRT 2.0b4
  5. muiz

    muiz Guest

    i use a linksys WRT54G with a Airport Express and WDS with normal linksys firmware. it work straight out of the box. both the AP and the linksys are new.



    Firmware Version: v3.03.1

  6. fixmacs

    fixmacs Network Guru Member

    Stock Linksys FW and AX


    Would you care to post the settings you used to make this all happen? Linksys does not officially support WDS, to wit, you won't find any reference to WDS in the user guides or support Web pages.

    If AirPort Express WDS works with the stock Linksys firmware, then it will probably work with the HyperWRT firmware hack, as well.

  7. howardp6

    howardp6 Network Guru Member

    Lazy WDS is enabled by default on the Linksys WRT54G. The HperWRT firmware is based on the latest Linksys firmware. WDS is not standardize accross manufacturers, some will work and some will not. The Airport express is known to have worked.
  8. rsperko

    rsperko Network Guru Member

    I did remove the startup script command and it seemed to continue working.

    I am having some trouble with HyperWRT 2.0FINAL and lazywds and may try to put my routers to the latest linksys firmware and see if they work that way.

Share This Page